import { getNoAuthConfig } from '@/api/system/setting';
import {encryptWithSM4} from '@/utils/sm';

 export async function getSystemConfigApi() {
   await getNoAuthConfig().then(res => {
        sessionStorage.setItem('systemConfig', encryptWithSM4(JSON.stringify(res.data)));
    }).catch(error => {
        console.error('Failed to fetch config:', error);
    });
}